"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pipeline = void 0;
const pipeline = (...fn) => (...args) => {
    let res;
    let i = 0;
    while (!res && i < fn.length) {
        res = fn[i](...args);
        i++;
    }
    return res;
};
exports.pipeline = pipeline;
