export declare type TCaseTransform = (str: string) => string;
export declare const snakeToCamel: (str: string) => string;
export declare const camelToSnake: (str: string) => string;
export declare type TRuntimeTransformMethod = (target: Record<string, unknown>) => Record<string, unknown>;
export interface IMakeTransformMethodOptions {
    fieldNameFromMap?: 'key' | 'value';
    toJSON?: boolean;
}
export declare const makeTransform: (meta: Record<string, string>, opts?: IMakeTransformMethodOptions) => TRuntimeTransformMethod;
export declare const deepTransform: (target: Record<string, unknown>, handler: TCaseTransform, mutate?: boolean | undefined, skip?: string | undefined) => Record<string, unknown> | undefined;
